Project Chrono: chrono::fea::ChElasticityKirchhoffOrthotropic Class Reference

Public Member Functions | List of all members
chrono::fea::ChElasticityKirchhoffOrthotropic Class Reference
Chrono::Engine » Finite Element Analysis » Elements

## Description

Orthotropic elasticity for thin shells (Kirchoff-Love shell theory, without shear effects) to be used in a ChMaterialShellKirchhoff.

This class implements material properties for a layer of a Kirchhoff thin shell, for the case of orthotropic linear elastic material. This is useful for laminated shells. One direction can be made softer than the other. Note that the angle and the thickness are defined when adding a material with this elasticity to a shell finite element as a layer.

`#include <ChMaterialShellKirchhoff.h>`

Inheritance diagram for chrono::fea::ChElasticityKirchhoffOrthotropic:
[legend]
Collaboration diagram for chrono::fea::ChElasticityKirchhoffOrthotropic:
[legend]

## Public Member Functions
| ChElasticityKirchhoffOrthotropic (double m_E_x, double m_E_y, double m_nu_xy, double m_G_xy)
| Construct an orthotropic material.
| ChElasticityKirchhoffOrthotropic (double m_E, double m_nu)
| Construct an orthotropic material as sub case isotropic.
double | GetYoungModulusX () const
| Return the elasticity moduli, on x.
double | GetYoungModulusY () const
| Return the elasticity moduli, on y.
double | GetPoissonRatioXY () const
| Return the Poisson ratio, for xy.
double | GetPoissonRatioYX () const
| Return the Poisson ratio, for yx (follows xy as it must be nu_yx*E_x = nu_xy*E_y).
double | GetShearModulusXY () const
| Return the shear mod, in plane.
virtual void | ComputeStress (ChVector3d &n, ChVector3d &m, const ChVector3d &eps, const ChVector3d &kur, const double z_inf, const double z_sup, const double angle) override
| The FE code will evaluate this function to compute per-unit-length forces/torques given the strains/curvatures.
virtual void | ComputeStiffnessMatrix (ChMatrixRef mC, const ChVector3d &eps, const ChVector3d &kur, const double z_inf, const double z_sup, const double angle) override
| Compute 6x6 stiffness matrix [Km] , that is [ds/de], the tangent of the constitutive relation per-unit-length forces/torques vs generalized strains.

## Additional Inherited Members
Public Attributes inherited from chrono::fea::ChElasticityKirchhoff
ChMaterialShellKirchhoff * | section

## Constructor & Destructor Documentation

## ◆ ChElasticityKirchhoffOrthotropic() [1/2]

chrono::fea::ChElasticityKirchhoffOrthotropic::ChElasticityKirchhoffOrthotropic | ( | double | m_E_x,
|  | double | m_E_y,
|  | double | m_nu_xy,
|  | double | m_G_xy )

Construct an orthotropic material.

Parameters

  m_E_x | Young's modulus on x
  m_E_y | Young's modulus on y
  m_nu_xy | Poisson ratio xy (for yx it holds: nu_yx*E_x = nu_xy*E_y)
  m_G_xy | Shear modulus, in plane

## ◆ ChElasticityKirchhoffOrthotropic() [2/2]

chrono::fea::ChElasticityKirchhoffOrthotropic::ChElasticityKirchhoffOrthotropic | ( | double | m_E,
|  | double | m_nu )

Construct an orthotropic material as sub case isotropic.

Parameters

  m_E | Young's modulus on x
  m_nu | Poisson ratio

## Member Function Documentation

## ◆ ComputeStiffnessMatrix()

void chrono::fea::ChElasticityKirchhoffOrthotropic::ComputeStiffnessMatrix | ( | ChMatrixRef | mC,
|  | const ChVector3d & | eps,
|  | const ChVector3d & | kur,
|  | const double | z_inf,
|  | const double | z_sup,
|  | const double | angle )
| overridevirtual

Compute 6x6 stiffness matrix [Km] , that is [ds/de], the tangent of the constitutive relation per-unit-length forces/torques vs generalized strains.

Parameters

  mC | tangent matrix
  eps | strains e_11, e_22, e_12
  kur | curvature k_11, k_22, k_12
  z_inf | layer lower z value (along thickness coord)
  z_sup | layer upper z value (along thickness coord)
  angle | layer angle respect to x (if needed)

Reimplemented from chrono::fea::ChElasticityKirchhoff.

## ◆ ComputeStress()

void chrono::fea::ChElasticityKirchhoffOrthotropic::ComputeStress | ( | ChVector3d & | n,
|  | ChVector3d & | m,
|  | const ChVector3d & | eps,
|  | const ChVector3d & | kur,
|  | const double | z_inf,
|  | const double | z_sup,
|  | const double | angle )
| overridevirtual

The FE code will evaluate this function to compute per-unit-length forces/torques given the strains/curvatures.

Parameters

  n | forces n_11, n_22, n_12 (per unit length)
  m | torques m_11, m_22, m_12 (per unit length)
  eps | strains e_11, e_22, e_12
  kur | curvature k_11, k_22, k_12
  z_inf | layer lower z value (along thickness coord)
  z_sup | layer upper z value (along thickness coord)
  angle | layer angle respect to x (if needed) -not used in this, isotropic

Implements chrono::fea::ChElasticityKirchhoff.

The documentation for this class was generated from the following files:

- D:/W/B/src/chrono-9.0.1/src/chrono/fea/ChMaterialShellKirchhoff.h
- D:/W/B/src/chrono-9.0.1/src/chrono/fea/ChMaterialShellKirchhoff.cpp